Internet Explorer Vulnerability Patched – For XP too!

Yesterday, Emerson IT notified the community about a serious vulnerability in versions 6 and above of Microsoft’s Internet Explorer web browser.

Shortly after our post, an emergency patch was issued. While Microsoft has indeed discontinued support for Windows XP, an exception was made for this vulnerability due to its proximity to the support end-date.

It is imperative that all Windows users, including those who do not regularly use Internet Explorer, run Windows Update as soon as possible to obtain this patch. Refer to this page from Microsoft for instructions on running Windows Update. Because Internet Explorer powers many behind-the-scenes functions in Windows and Microsoft Office, this patch is important for everyone.

If you have any questions or would like assistance installing this patch, please contact the IT Help Desk by phone at 617-824-8080 or online at it.emerson.edu.

Leave a Reply